Bug 142275 - [patch] sysutils/anacron should have better configuration hints
Summary: [patch] sysutils/anacron should have better configuration hints
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-03 20:50 UTC by Kenyon Ralph
Modified: 2010-05-21 15:50 UTC (History)
0 users

See Also:


Attachments
file.diff (461 bytes, patch)
2010-01-03 20:50 UTC, Kenyon Ralph
no flags Details | Diff
anacron-pkg-message.in.diff (472 bytes, patch)
2010-01-04 10:29 UTC, Kenyon Ralph
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenyon Ralph 2010-01-03 20:50:01 UTC
Anacron's pkg-message configuration hints should mention that anacron should be run periodically, not just at boot time. If it's not run periodically, then a system which is up for several days without rebooting will not have its anacron jobs run at all.
Comment 1 Edwin Groothuis freebsd_committer 2010-01-03 20:50:09 UTC
Maintainer of sysutils/anacron,

Please note that PR ports/142275 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/142275

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-01-03 20:50:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Kenyon Ralph 2010-01-04 10:29:57 UTC
Wow, I still fail at making it appear correctly on the web interface.
This is my final attempt. It's a simple enough patch to decipher,
anyway.

-- 
Kenyon Ralph
Comment 4 Derik van Zuetphen 2010-01-28 07:08:47 UTC
Dear committer,

please apply the following patch:


diff -urN ../releases/anacron-2.3-4-20090822/files/pkg-message.in
anacron/files/pkg-message.in
--- ../releases/anacron-2.3-4-20090822/files/pkg-message.in     2005-06-16
17:51:38.000000000 +0200
+++ anacron/files/pkg-message.in        2010-01-21 16:09:33.000000000 +0100
@@ -2,6 +2,8 @@
 Configuration hints:
 - Edit %%PREFIX%%/etc/anacrontab
 - Deactivate the 'periodic' commands in /etc/crontab
+- Add a call to anacron to /etc/crontab, like
+  0  0  *  *  *    root    %%PREFIX%%/sbin/anacron
 - Add anacron_enable="YES" to /etc/rc.conf
 - Read anacron(8) and anacrontab(5)

diff -urN ../releases/anacron-2.3-4-20090822/pkg-descr anacron/pkg-descr
--- ../releases/anacron-2.3-4-20090822/pkg-descr        2003-10-04
02:29:47.000000000 +0200
+++ anacron/pkg-descr   2010-01-28 07:44:47.000000000 +0100
@@ -8,6 +8,6 @@

 Requirements
  - A functioning syslog daemon.
- - A functioning /usr/lib/sendmail command.  (all MTAs should have that).
+ - A functioning /usr/sbin/sendmail command.  (all MTAs should have that).

 WWW: http://sourceforge.net/projects/anacron
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2010-01-28 08:13:17 UTC
State Changed
From-To: feedback->open

Maintainer has replied with patch.
Comment 6 Stefan Walter freebsd_committer 2010-05-21 15:44:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 7 Stefan Walter freebsd_committer 2010-05-21 15:46:59 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 8 dfilter service freebsd_committer 2010-05-21 15:47:10 UTC
stefan      2010-05-21 14:46:56 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/anacron     pkg-descr 
    sysutils/anacron/files pkg-message.in 
  Log:
  Improve configuration hints.
  
  PR:             ports/142275
  Submitted by:   Kenyon Ralph <kenyon@kenyonralph.com>
  Patch by:       submitter, maintainer
  
  Revision  Changes    Path
  1.2       +2 -0      ports/sysutils/anacron/files/pkg-message.in
  1.2       +1 -1      ports/sysutils/anacron/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"